GDB (xrefs)

Public Member Functions | Private Member Functions | Private Attributes | List of all members
scoped_restore_interp Class Reference

`#include "interps.h"`

## Public Member Functions
| scoped_restore_interp (const char *name)
| ~scoped_restore_interp ()
| scoped_restore_interp (const scoped_restore_interp &)=delete
scoped_restore_interp & | operator= (const scoped_restore_interp &)=delete

## Private Member Functions
struct interp * | set_interp (const char *name)

## Private Attributes
struct interp * | m_interp

## Detailed Description

Definition at line 106 of file interps.h.

## Constructor & Destructor Documentation

## ◆ scoped_restore_interp() [1/2]

scoped_restore_interp::scoped_restore_interp | ( | const char * | name | ) |
| inline

Definition at line 110 of file interps.h.

## ◆ ~scoped_restore_interp()

scoped_restore_interp::~scoped_restore_interp | ( |  | ) |
| inline

Definition at line 115 of file interps.h.

References interp_name(), m_interp, and set_interp().

## ◆ scoped_restore_interp() [2/2]

scoped_restore_interp::scoped_restore_interp | ( | const scoped_restore_interp & |  | ) |
| delete

## Member Function Documentation

## ◆ operator=()

scoped_restore_interp& scoped_restore_interp::operator= | ( | const scoped_restore_interp & |  | ) |
| delete

## ◆ set_interp()

struct interp * scoped_restore_interp::set_interp | ( | const char * | name | ) |
| private

Definition at line 278 of file interps.c.

References ui_interp_info::current_interpreter, current_ui, get_current_interp_info(), interp::interp(), interp_lookup(), and name.

Referenced by ~scoped_restore_interp().

## Member Data Documentation

## ◆ m_interp

struct interp* scoped_restore_interp::m_interp
| private

Definition at line 127 of file interps.h.

Referenced by ~scoped_restore_interp().

The documentation for this class was generated from the following files:

- /tmp/gdb-8.1/gdb/interps.h
- /tmp/gdb-8.1/gdb/interps.c